/*
 * algo.h
 *
 *  Created on: Aug 3, 2022
 *      Author: 70506
 */

#ifndef ALGO_H_
#define ALGO_H_

/* Enable C linkage if header is included in C++ files */
#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#include <stdint.h>
#include <stdbool.h>
#include <math.h>
#include <complex.h>
#include "config.h"
#include "dsp_lib.h"
#include "datastore.h"

void range_aldo(acq_buf_obj *p_acq_buf, const algo_settings_t *cp_algo_settings, const device_settings_t *cp_dev_settings, algo_result_t *p_algo_result);

/* Disable C linkage for C++ files */
#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* ALGO_INC_ALGO_H_ */
